Dataspade xss

2008-09-24T00:00:00
ID SECURITYVULNS:DOC:20561
Type securityvulns
Reporter Securityvulns
Modified 2008-09-24T00:00:00

Description

Vuln. discovered by : r0t Date: 23 September 2008 Vendor:http://www.dataspade.com/ affected versions:DataSpade V1.0 other versions also can be affected. orginal advisory: http://pridels-team.blogspot.com/2008/09/dataspade-xss-vuln.html

DataSpade contains a flaws that allows a remote Cross-Site Scripting attacks.Input passed to the "ViewName" and "TableName" and "OrderBy" and "FilterField" parameter in "Index.asp" isn't properly sanitised before being returned to the user. This can be exploited to execute arbitrary HTML and script code in a user's browser session in context of an affected site.

Solution: Edit the source code to ensure that input is properly sanitised.